import { BrowserRouter as Router, Route, Switch } from 'react-router-dom';
import React, { Suspense, lazy } from 'react';

const Home = lazy(() => import('./routes/Home'));
const Film = lazy(() => import('./routes/Film'));
const Anime = lazy(() => import('./routes/Anime'));
const SerieTV = lazy(() => import('./routes/SerieTV'));
const Immagini = lazy(() => import('./routes/Immagini'));
const Musica = lazy(() => import('./routes/Musica'));
const Giochi = lazy(() => import('./routes/Giochi'));
const Programmi = lazy(() => import('./routes/Programmi'));

const NotFound = lazy(() => import('./routes/NotFound'));


class App extends React.Component {
    render() {
        return (
            <Router>
                <Suspense fallback={<div>Loading...</div>}>
                    <Switch>
                        <Route exact path="/" component={Home}/>
                        <Route path="/Film" component={Film}/>
                        <Route path="/Anime" component={Anime}/>
                        <Route path="/SerieTV" component={SerieTV}/>
                        <Route path="/Immagini" component={Immagini}/>
                        <Route path="/Musica" component={Musica}/>
                        <Route path="/Giochi" component={Giochi}/>
                        <Route path="/Programmi" component={Programmi}/>

                        <Route component={NotFound} />
                    </Switch>
                </Suspense>
            </Router>
        );
    }
}

export default App;
